Arch Zaun

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Fence and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎русский
Arrow-left.svg Vorherige: Arch Frame.svg Rahmen
Nächste: Traverse Arch Truss.svg Arrow-right.svg

Arch Fence.svg Arch Zaun

Menüeintrag
Arch → Zaun
Arbeitsbereich
Arch
Standardtastenkürzel
Keiner
Eingeführt in Version
0.19
Siehe auch
Keiner

Beschreibung

Der Arch Zaun ist ein Objekt, das einen Zaun durch die Wiederholung eines einzelnen Zaunpfostens und eines Abschnitts entlang eines bestimmten Pfades bildet.

Arch Fence description example.png

Anwendung

Erzeugung von Grundauf

  1. Verwende einen Arbeitsbereich deiner Wahl, um einen einzelnen Zaunpfosten und einen einzelnen Abschnitt zu erstellen.
  2. Erstelle den Pfad, dem der Zaun folgen soll, mit Hilfe des Skizzierer Arbeitsbereich oder Entwurf Arbeitsbereich.
  3. Wechsle zurück zum Architektur Arbeitsbereich.
  4. Wähle den Abschnitt, den Beitrag und den Pfad in genau dieser Reihenfolge aus.
  5. Drücke die Arch Fence.svg Architektur Zaun Schaltfläche

Optionen

Vorerst geht das Werkzeug von folgenden Voraussetzungen aus

  1. Der Pfad wird auf der XY Ebene gezeichnet
  2. Abschnitt und Pfosten sind am Ursprung so gezeichnet, dass sie in der Vorderansicht aufrecht stehen

Eigenschaften

Daten

  • Daten-EigenschaftPfad: Der Pfad, dem der Zaun folgen sollte
  • Daten-EigenschaftPfahl: Ein einziger Zaunpfahl zur Wiederholung
  • Daten-EigenschaftAbschnitt: Ein einziger Abschnitt zum Wiederholen
  • Daten-EigenschaftAnzahl der Pfähle: Die Gesamtzahl der Pfähle, die für den Bau des Zauns verwendet wurden. Diese wird automatisch berechnet.
  • Daten-EigenschaftAnzahl der Abschnitte: Die Gesamtzahl der Abschnitte, die zum Bau des Zauns verwendet wurden. Diese wird automatisch berechnet.

Ansicht

  • Ansicht EigenschaftUrsprungsfarben verwenden}: Wenn auf {true gesetzt, verwendet der Zaun die Farben aus dem Originalabschnitt und -pfahl. Andernfalls wird die FormFarbe des Zauns verwendet, um den Zaun einzufärben.

Hinweise

  • Arch Zaun würde eingeführt mit FC v0.19 durch den Anwender furti.
  • Forumsbeitrag der die Arch Zaun Funktionalität diskutiert

Skripten

Das Zaunwerkzeug kann in Makros und aus der Python Konsole heraus durch Verwendung der folgenden Funktion verwendet werden:

Fence = buildFence(section, post, path)

Beispiel:

import FreeCAD
import Part
import Arch

parts = []

parts.append(Part.makeBox(2000, 50, 30, FreeCAD.Vector(0, 0, 1000 - 30)))
parts.append(Part.makeBox(2000, 50, 30))
parts.append(Part.makeBox(20, 20, 1000 - 60, FreeCAD.Vector(0, 15, 30)))
parts.append(Part.makeBox(20, 20, 1000 - 60, FreeCAD.Vector(1980, 15, 30)))

for i in range(8):
    parts.append(Part.makeBox(20, 20, 1000 - 60, FreeCAD.Vector((2000 / 9 * (i + 1)) - 10, 15, 30)))

Part.show(Part.makeCompound(parts), "Fence_section")
fence_section = FreeCAD.ActiveDocument.Fence_section

sketch = FreeCAD.ActiveDocument.addObject("Sketcher::SketchObject", "Path")
sketch.Placement = FreeCAD.Placement(FreeCAD.Vector(0, 0, 0), FreeCAD.Rotation(0, 0, 0, 1))
sketch.addGeometry(Part.LineSegment(FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(20000, 0, 0)), False)
sketch.addGeometry(Part.LineSegment(FreeCAD.Vector(20000, 0, 0), FreeCAD.Vector(20000, 20000, 0)), False)

post = Part.makeBox(100, 100, 1000, FreeCAD.Vector(0, 0, 0))
Part.show(post, "Post")
post = FreeCAD.ActiveDocument.Post

Fence = Arch.buildFence(fence_section, post, sketch)


Arrow-left.svg Vorherige: Arch Frame.svg Rahmen
Nächste: Traverse Arch Truss.svg Arrow-right.svg